# Learning Resources

This repository is primarily a collection of resources and learning aides for Steve's classroom work. This can include coding examples in various languages, project examples, documentation, instructional guides, and just about anything else.

## Prerequesits

* The requests module provides web/REST API access
* The colorama module provides access to color and cursor positioning in a terminal
* The termcolor module provides access to console text colors as well in a different way (include for compatibility)

Inside a terminal:
```bash
pip install requests colorama termcolor
```

By default the CMD and Powershell terminals will not properly show ANSI colors in Windows. This can be fixed by using the colorama module with the following code:
```python
import sys
if sys.platform == "win32":
    from colorama import just_fix_windows_console
    just_fix_windows_console()
```

In order to get ANSI colors in windows CMD or Powershell without using the colorama module (can be useful in other things so if you do have admin access this is handy to do regardless) the virtual terminal level must be set to 1.

Inside an **Administrator** terminal in the `PreReq/` folder:
```bash
reg import VirtualTerminalLevel.reg
```

## [Python Basics](Python/)

This is the home of many examples of basic Python syntax and logic. An attempt has been made to name them in such a way that they increase in complexity and build on each other as you go down the list of files.

## [PyGame](PyGame/)

This is the home of Python PyGame examples. Many of these are examples demonstrating "final project" level work for both simple and advanced levels.